Qwt User's Guide: QwtNullPaintDevice Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
QwtNullPaintDevice Class Referenceabstract

A null paint device doing nothing. More...

`#include <qwt_null_paintdevice.h>`

Inheritance diagram for QwtNullPaintDevice:

## Public Types
enum | Mode { NormalMode , PolygonPathMode , PathMode }
| Render mode. More...

## Public Member Functions
| QwtNullPaintDevice ()
| Constructor.
virtual | ~QwtNullPaintDevice ()
| Destructor.
void | setMode (Mode)
Mode | mode () const
virtual QPaintEngine * | paintEngine () const override
| See QPaintDevice::paintEngine()
virtual int | metric (PaintDeviceMetric) const override
virtual void | drawRects (const QRect *, int)
| See QPaintEngine::drawRects()
virtual void | drawRects (const QRectF *, int)
| See QPaintEngine::drawRects()
virtual void | drawLines (const QLine *, int)
| See QPaintEngine::drawLines()
virtual void | drawLines (const QLineF *, int)
| See QPaintEngine::drawLines()
virtual void | drawEllipse (const QRectF &)
| See QPaintEngine::drawEllipse()
virtual void | drawEllipse (const QRect &)
| See QPaintEngine::drawEllipse()
virtual void | drawPath (const QPainterPath &)
| See QPaintEngine::drawPath()
virtual void | drawPoints (const QPointF *, int)
| See QPaintEngine::drawPoints()
virtual void | drawPoints (const QPoint *, int)
| See QPaintEngine::drawPoints()
virtual void | drawPolygon (const QPointF *, int, QPaintEngine::PolygonDrawMode)
| See QPaintEngine::drawPolygon()
virtual void | drawPolygon (const QPoint *, int, QPaintEngine::PolygonDrawMode)
| See QPaintEngine::drawPolygon()
virtual void | drawPixmap (const QRectF &, const QPixmap &, const QRectF &)
| See QPaintEngine::drawPixmap()
virtual void | drawTextItem (const QPointF &, const QTextItem &)
| See QPaintEngine::drawTextItem()
virtual void | drawTiledPixmap (const QRectF &, const QPixmap &, const QPointF &)
| See QPaintEngine::drawTiledPixmap()
virtual void | drawImage (const QRectF &, const QImage &, const QRectF &, Qt::ImageConversionFlags)
| See QPaintEngine::drawImage()
virtual void | updateState (const QPaintEngineState &)
| See QPaintEngine::updateState()

## Protected Member Functions
virtual QSize | sizeMetrics () const =0

## Detailed Description

A null paint device doing nothing.

Sometimes important layout/rendering geometries are not available or changeable from the public Qt class interface. ( f.e hidden in the style implementation ).

QwtNullPaintDevice can be used to manipulate or filter out this information by analyzing the stream of paint primitives.

F.e. QwtNullPaintDevice is used by QwtPlotCanvas to identify styled backgrounds with rounded corners.

Definition at line 32 of file qwt_null_paintdevice.h.

## Member Enumeration Documentation

## ◆ Mode

enum QwtNullPaintDevice::Mode

Render mode.

See also
  setMode(), mode()

Enumerator
NormalMode | All vector graphic primitives are painted by the corresponding draw methods
PolygonPathMode | Vector graphic primitives ( beside polygons ) are mapped to a QPainterPath and are painted by drawPath. In PathMode mode only a few draw methods are called: drawPath() drawPixmap() drawImage() drawPolygon()
PathMode | Vector graphic primitives are mapped to a QPainterPath and are painted by drawPath. In PathMode mode only a few draw methods are called: drawPath() drawPixmap() drawImage()

Definition at line 40 of file qwt_null_paintdevice.h.

## Constructor & Destructor Documentation

## ◆ QwtNullPaintDevice()

QwtNullPaintDevice::QwtNullPaintDevice | ( |  | ) |

Constructor.

Definition at line 367 of file qwt_null_paintdevice.cpp.

## ◆ ~QwtNullPaintDevice()

QwtNullPaintDevice::~QwtNullPaintDevice | ( |  | ) |
| virtual

Destructor.

Definition at line 374 of file qwt_null_paintdevice.cpp.

## Member Function Documentation

## ◆ drawEllipse() [1/2]

void QwtNullPaintDevice::drawEllipse | ( | const QRect & | rect | ) |
| virtual

See QPaintEngine::drawEllipse()

Definition at line 521 of file qwt_null_paintdevice.cpp.

## ◆ drawEllipse() [2/2]

void QwtNullPaintDevice::drawEllipse | ( | const QRectF & | rect | ) |
| virtual

See QPaintEngine::drawEllipse()

Definition at line 515 of file qwt_null_paintdevice.cpp.

## ◆ drawImage()

void QwtNullPaintDevice::drawImage | ( | const QRectF & | rect,
|  | const QImage & | image,
|  | const QRectF & | subRect,
|  | Qt::ImageConversionFlags | flags )
| virtual

See QPaintEngine::drawImage()

Reimplemented in QwtGraphic.

Definition at line 596 of file qwt_null_paintdevice.cpp.

## ◆ drawLines() [1/2]

void QwtNullPaintDevice::drawLines | ( | const QLine * | lines,
|  | int | lineCount )
| virtual

See QPaintEngine::drawLines()

Definition at line 499 of file qwt_null_paintdevice.cpp.

## ◆ drawLines() [2/2]

void QwtNullPaintDevice::drawLines | ( | const QLineF * | lines,
|  | int | lineCount )
| virtual

See QPaintEngine::drawLines()

Definition at line 507 of file qwt_null_paintdevice.cpp.

## ◆ drawPath()

void QwtNullPaintDevice::drawPath | ( | const QPainterPath & | path | ) |
| virtual

See QPaintEngine::drawPath()

Reimplemented in QwtGraphic.

Definition at line 527 of file qwt_null_paintdevice.cpp.

## ◆ drawPixmap()

void QwtNullPaintDevice::drawPixmap | ( | const QRectF & | rect,
|  | const QPixmap & | pm,
|  | const QRectF & | subRect )
| virtual

See QPaintEngine::drawPixmap()

Reimplemented in QwtGraphic.

Definition at line 569 of file qwt_null_paintdevice.cpp.

## ◆ drawPoints() [1/2]

void QwtNullPaintDevice::drawPoints | ( | const QPoint * | points,
|  | int | pointCount )
| virtual

See QPaintEngine::drawPoints()

Definition at line 541 of file qwt_null_paintdevice.cpp.

## ◆ drawPoints() [2/2]

void QwtNullPaintDevice::drawPoints | ( | const QPointF * | points,
|  | int | pointCount )
| virtual

See QPaintEngine::drawPoints()

Definition at line 533 of file qwt_null_paintdevice.cpp.

## ◆ drawPolygon() [1/2]

void QwtNullPaintDevice::drawPolygon | ( | const QPoint * | points,
|  | int | pointCount,
|  | QPaintEngine::PolygonDrawMode | mode )
| virtual

See QPaintEngine::drawPolygon()

Definition at line 559 of file qwt_null_paintdevice.cpp.

## ◆ drawPolygon() [2/2]

void QwtNullPaintDevice::drawPolygon | ( | const QPointF * | points,
|  | int | pointCount,
|  | QPaintEngine::PolygonDrawMode | mode )
| virtual

See QPaintEngine::drawPolygon()

Definition at line 549 of file qwt_null_paintdevice.cpp.

## ◆ drawRects() [1/2]

void QwtNullPaintDevice::drawRects | ( | const QRect * | rects,
|  | int | rectCount )
| virtual

See QPaintEngine::drawRects()

Definition at line 483 of file qwt_null_paintdevice.cpp.

## ◆ drawRects() [2/2]

void QwtNullPaintDevice::drawRects | ( | const QRectF * | rects,
|  | int | rectCount )
| virtual

See QPaintEngine::drawRects()

Definition at line 491 of file qwt_null_paintdevice.cpp.

## ◆ drawTextItem()

void QwtNullPaintDevice::drawTextItem | ( | const QPointF & | pos,
|  | const QTextItem & | textItem )
| virtual

See QPaintEngine::drawTextItem()

Definition at line 578 of file qwt_null_paintdevice.cpp.

## ◆ drawTiledPixmap()

void QwtNullPaintDevice::drawTiledPixmap | ( | const QRectF & | rect,
|  | const QPixmap & | pixmap,
|  | const QPointF & | subRect )
| virtual

See QPaintEngine::drawTiledPixmap()

Definition at line 586 of file qwt_null_paintdevice.cpp.

## ◆ metric()

int QwtNullPaintDevice::metric | ( | PaintDeviceMetric | deviceMetric | ) | const
| overridevirtual

See QPaintDevice::metric()

Parameters

  deviceMetric | Type of metric

Returns
  Metric information for the given paint device metric.

See also
  sizeMetrics()

Definition at line 422 of file qwt_null_paintdevice.cpp.

## ◆ mode()

QwtNullPaintDevice::Mode QwtNullPaintDevice::mode | ( |  | ) | const

Returns
  Render mode

See also
  setMode()

Definition at line 395 of file qwt_null_paintdevice.cpp.

## ◆ paintEngine()

QPaintEngine * QwtNullPaintDevice::paintEngine | ( |  | ) | const
| overridevirtual

See QPaintDevice::paintEngine()

Definition at line 401 of file qwt_null_paintdevice.cpp.

## ◆ setMode()

void QwtNullPaintDevice::setMode | ( | Mode | mode | ) |

Set the render mode

Parameters

  mode | New mode

See also
  mode()

Definition at line 386 of file qwt_null_paintdevice.cpp.

## ◆ sizeMetrics()

virtual QSize QwtNullPaintDevice::sizeMetrics | ( |  | ) | const
| protectedpure virtual

Returns
  Size needed to implement metric()

Implemented in QwtGraphic.

## ◆ updateState()

void QwtNullPaintDevice::updateState | ( | const QPaintEngineState & | state | ) |
| virtual

See QPaintEngine::updateState()

Reimplemented in QwtGraphic.

Definition at line 607 of file qwt_null_paintdevice.cpp.